//
//  ViewController.swift
//  CustomTableView
//
//  Created by Diego Caridei on 18/08/16.
//  Copyright © 2016 Diego Caridei. All rights reserved.
//

import UIKit

class ViewController: UIViewController,UITableViewDelegate,UITableViewDataSource {
  
    
    var items: [(String, String)] = [
        ("Fiato 500", "500.jpg"),
        ("Fiat Bravo", "bravo.jpg"),
        ("Fiat Idea", "idea.jpg"),
        ("Fiat Panda", "panda.jpg"),
        ("Fiat Tipo", "tipo.jpg")
    ]
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
    }
    
    func numberOfSectionsInTableView(tableView: UITableView) -> Int {
        // Return the number of sections.
        return 1
    }
    
    func tableView(tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        // Return the number of rows in the section.
        return items.count
    }
    
    
    
    func tableView(tableView: UITableView, didSelectRowAtIndexPath indexPath: NSIndexPath) {
        print("\(indexPath.row)")
        
    }
    
    func tableView(tableView: UITableView, cellForRowAtIndexPath indexPath: NSIndexPath) -> UITableViewCell {
        let cell = tableView.dequeueReusableCellWithIdentifier("Cell", forIndexPath: indexPath) as! Cell
        let (title, image) = items[indexPath.row]
        cell.initCellstyle(title,img: image)
        return cell
    }




}

